#ifndef LIGHT_INTERFACE_H
#define LIGHT_INTERFACE_H

#include "esp_common.h"
#include "log/esp_log.h"
#include "hal/ws2812.h"

#define StatusLED_AccessPointFailure()          WS2812_SetColor(WS2812_RED, WS2812_PULSE)
#define StatusLED_SystemFailure()               WS2812_SetColor(WS2812_RED, WS2812_SOLID)
#define StatusLED_AccessPointSearching()        WS2812_SetColor(WS2812_GREEN, WS2812_PULSE)
#define StatusLED_AccessPointNoCredentials()    WS2812_SetColor(WS2812_GREEN, WS2812_SOLID)
#define StatusLED_BrokerFailure()               WS2812_SetColor(WS2812_BLUE, WS2812_PULSE)
#define StatusLED_BrokerSuccess()               WS2812_SetColor(WS2812_BLUE, WS2812_SOLID)
#define StatusLED_AdaptiveIMU()                 WS2812_SetColor(WS2812_MAGENTA, WS2812_SOLID)
#define StatusLED_AdaptiveBar()                 WS2812_SetColor(WS2812_ORANGE, WS2812_SOLID)

void StatusLED_Shutdown(void);

#endif
